## javax.faces.context
Class FacesContext

    java.lang.Object
      javax.faces.context.FacesContext

public abstract class FacesContext
extends java.lang.Object

Version:
  $Revision: 167230 $ $Date: 2004-09-30 04:43:10 -0400 (Thu, 30 Sep 2004) $
Author:
  Manfred Geiler (latest modification by $Author: manolito $)

Constructor Summary
`FacesContext()`

Method Summary
`abstract void` `addMessage(java.lang.String clientId, FacesMessage message)`
`abstract Application` `getApplication()`
`abstract java.util.Iterator` `getClientIdsWithMessages()`
`static FacesContext` `getCurrentInstance()`
`abstract ExternalContext` `getExternalContext()`
`abstract FacesMessage.Severity` `getMaximumSeverity()`
`abstract java.util.Iterator` `getMessages()`
`abstract java.util.Iterator` `getMessages(java.lang.String clientId)`
`abstract RenderKit` `getRenderKit()`
`abstract boolean` `getRenderResponse()`
`abstract boolean` `getResponseComplete()`
`abstract ResponseStream` `getResponseStream()`
`abstract ResponseWriter` `getResponseWriter()`
`abstract UIViewRoot` `getViewRoot()`
`abstract void` `release()`
`abstract void` `renderResponse()`
`abstract void` `responseComplete()`
`protected static void` `setCurrentInstance(FacesContext context)`
`abstract void` `setResponseStream(ResponseStream responseStream)`
`abstract void` `setResponseWriter(ResponseWriter responseWriter)`
`abstract void` `setViewRoot(UIViewRoot root)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesContext

    public FacesContext()

Method Detail

### getApplication

    public abstract Application getApplication()

### getClientIdsWithMessages

    public abstract java.util.Iterator getClientIdsWithMessages()

### getExternalContext

    public abstract ExternalContext getExternalContext()

### getMaximumSeverity

    public abstract FacesMessage.Severity getMaximumSeverity()

### getMessages

    public abstract java.util.Iterator getMessages()

### getMessages

    public abstract java.util.Iterator getMessages(java.lang.String clientId)

### getRenderKit

    public abstract RenderKit getRenderKit()

### getRenderResponse

    public abstract boolean getRenderResponse()

### getResponseComplete

    public abstract boolean getResponseComplete()

### getResponseStream

    public abstract ResponseStream getResponseStream()

### setResponseStream

    public abstract void setResponseStream(ResponseStream responseStream)

### getResponseWriter

    public abstract ResponseWriter getResponseWriter()

### setResponseWriter

    public abstract void setResponseWriter(ResponseWriter responseWriter)

### getViewRoot

    public abstract UIViewRoot getViewRoot()

### setViewRoot

    public abstract void setViewRoot(UIViewRoot root)

### addMessage

    public abstract void addMessage(java.lang.String clientId,
                                    FacesMessage message)

### release

    public abstract void release()

### renderResponse

    public abstract void renderResponse()

### responseComplete

    public abstract void responseComplete()

### getCurrentInstance

    public static FacesContext getCurrentInstance()

### setCurrentInstance

    protected static void setCurrentInstance(FacesContext context)